<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC

@author 		christian.rodriguez
@version		2.0
@description	Registrar observaciones de predios desactualizados
@cu 			CU-SA-AC-014
@param 			managedBeanParam: 	nombre del managed bean
@param 			ofertaInmobiliariaParam: 	oferta inmobiliaria seleccionada
-->

<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:p="http://primefaces.org/ui" width="100%">

    <p:dataTable var="predio"
                 value="#{ofertaInmobiliariaParam.ofertaPredios}"
                 emptyMessage="No se encontro información de predios desactualizados.">
        <p:column headerText="Departamento">
            <h:outputText id="departamentoOferta" 
                          value="#{managedBeanParam.selectedDepartamentoNom}" />
        </p:column>
        <p:column headerText="Municipio">
            <h:outputText id="municipioOferta" 
                          value="#{managedBeanParam.selectedMunicipioNom}" />
        </p:column>
        <p:column headerText="Número Predial">
            <h:outputText id="numeroPredialOferta"
                          value="#{predio.numeroPredial}" />
        </p:column>
        <p:column headerText="Observaciones">
            <h:outputText id="observacionesPredioOferta"
                          value="#{predio.observaciones}" />
        </p:column>

    </p:dataTable>
</h:panelGrid>
